Page MenuHomePhabricator

Flow: No Preview or Reply buttons after clicking _Be the first to comment_
Closed, ResolvedPublic

Description

User Fram noticed:

  1. Create a topic without a first post (i.e. fill in "New topic" title but don't fill in "Add some details if you'd like" textarea).
  2. Then click the _Be the first to comment_ link in the new topic bar.

Result: The input focus jumps to the textarea, but
a) no Cancel [Preview] [Reply] buttons
b) the textarea auto-expand feature is disabled.

In Firefox, if you go to another tab and return then the textarea auto-expand kicks in (slowly animating), but still no buttons. You have to actually click in the textarea to get the Cancel [Preview] [Reply] buttons to appear.


Version: master
Severity: normal

Details

Reference
bz58005

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:18 AM
bzimport set Reference to bz58005.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.Dec 4 2013, 9:55 PM

bingle-admin wrote:

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/581, but people from the community are welcome to contribute here and in Gerrit.

Change 101164 had a related patch set uploaded by Bsitu:
No Reply button after clicking Be the first to comment

https://gerrit.wikimedia.org/r/101164

Change 101164 merged by jenkins-bot:
No Reply button after clicking Be the first to comment

https://gerrit.wikimedia.org/r/101164

Change 105123 had a related patch set uploaded by Bsitu:
Fix issues on clicking "x comments" link

https://gerrit.wikimedia.org/r/105123

Not a big deal, but the size of the reply box is different depending on how you get to it.

Clicking the reply box directly gets a box starting at 5 lines tall. Clicking the 'x comments' link goes to the same box but its only 2 lines tall.

Change 105123 merged by jenkins-bot:
Fix issues on clicking "x comments" link

https://gerrit.wikimedia.org/r/105123

Assuming fixed, couldn't reproduce on current master.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:40 AM